<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| pdWarning V6
| Copyright 2007
| Daniel Zschintzsch (pirdani)
| <kontakt@pirdani.de>
| http://www.pirdani.de
|
| pdWarning for PHP-Fusion v7
| Copyright 2008
| Author: Dirk Heise (emblinux)
| Mail: webmaster@heiseclan.de
| Homepage: www.heiseclan.de
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."pd_warning/infusion_db.php";
if (file_exists(INFUSIONS."pd_warning/locale/".LOCALESET."index.php"))
  {
    include INFUSIONS."pd_warning/locale/".LOCALESET."index.php";
  }
else
  {
    include INFUSIONS."pd_warning/locale/English/index.php";
  }

$inf_title = "Pd Warning";
$inf_description = "Advarsels system";
$inf_version = "1.0";
$inf_developer = "emblinux";
$inf_email = "webmaster@heiseclan.de";
$inf_weburl = "http://www.heiseclan.de";
$inf_folder = "pd_warning";

$inf_newtable[1] = DB_PDWARNING." (
  warn_id int(10) unsigned NOT NULL auto_increment,
  user_id smallint(7) unsigned NOT NULL default '0',
  post_id smallint(5) unsigned NOT NULL default '0',
  thread_id smallint(5) unsigned NOT NULL default '0',
  forum_id smallint(5) unsigned NOT NULL default '0',
  warn_subject varchar(100) NOT NULL default '',
  warn_message text NOT NULL,
  warn_point int(3) unsigned NOT NULL default '0',
  warn_admin smallint(7) unsigned NOT NULL default '1',
  warn_datestamp int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (warn_id))";
			
$inf_newtable[2] = DB_PDWARNING_CATALOG." (
  warn_id int(10) unsigned NOT NULL auto_increment,
  warn_subject varchar(100) NOT NULL default '',
  warn_point int(3) unsigned NOT NULL default '0',
  warn_length int(4) unsigned NOT NULL default '0',
  PRIMARY KEY  (warn_id))";
				  
$inf_newtable[3] = DB_PDWARNING_SETTINGS." (
  set_id smallint(1) unsigned NOT NULL auto_increment,
  set_usergroup tinyint(3) NOT NULL default '0',
  set_send_pm int(1) NOT NULL default '0',
  set_pm_from varchar(10) NOT NULL default '',
  set_pm_to varchar(10) NOT NULL default '',
  PRIMARY KEY  (set_id))";

$inf_insertdbrow[1] = DB_PDWARNING_SETTINGS." (set_usergroup, set_send_pm, set_pm_from, set_pm_to) VALUES ('0', '0', '1', '1')";

$inf_droptable[1] = DB_PDWARNING;
$inf_droptable[2] = DB_PDWARNING_CATALOG;
$inf_droptable[3] = DB_PDWARNING_SETTINGS;

$inf_adminpanel[1] = array(
	"title" => "Advarsels system",
	"image" => "pdwarning.gif",
	"panel" => "admin/admin.php",
	"rights" => "PDWS"
);

?>
