<?php
/***************************************************************************
	pd Warning
	
	Copyright (C) 2007 pirdani (Daniel Zschintzsch)
	kontakt@pirdani.de
	http://www.pirdani.de

	Copyright (C) 2008 emblinux (Dirk Heise)
	webmaster@heiseclan.de
	http://www.heiseclan.de

	PHP-Fusion
	Copyright  2002 - 2007 Nick Jones
	http://www.php-fusion.co.uk/
	
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.
***************************************************************************/

// infusion.php
$locale['PDW100'] = "System of Admonishment";

// viewthread.php
$locale['PDWA200'] = "Status of admonishments:";
$locale['PDWA201'] = "Point";
$locale['PDWA202'] = "Points";

// warning.inc.php
$locale['PDWA210'] = "You have been warned";
$locale['PDWA211'] = "Posting:";
$locale['PDWA212'] = "Reason:";
$locale['PDWA213'] = "Explanatio:";
$locale['PDWA214'] = "The admonishment remains registered until ";
$locale['PDWA215'] = "d.m.Y"; //date format
$locale['PDWA216'] = " .
To avoid exclusion of the forum, please respect the forum rules in the future.";
$locale['PDWA217'] = "User has reached the limit of admonishments";
$locale['PDWA218'] = "Link to User!";
$locale['PDWA219'] = "Post:";
$locale['PDWA220'] = "Posting no more existent";
$locale['PDWA221'] = "<h1>pd Warning - Error: You must set a User Group!</h1>";

// info.php
$locale['PDWA300'] = "Information about the Admonishment system";
$locale['PDWA301'] = "The Admonishment system allows conclusions of the behavior of a user. <br />
The forum moderators may deliver a warning in case the board rules are not respected.";
$locale['PDWA302'] = "0 Points";
$locale['PDWA303'] = "up to 15 points";
$locale['PDWA304'] = "up to 30 points";
$locale['PDWA305'] = "up to 45 points";
$locale['PDWA306'] = "up to 60 points";
$locale['PDWA307'] = "up to 75 points";
$locale['PDWA308'] = "up to 90 points";
$locale['PDWA309'] = "up to 99 points";
$locale['PDWA310'] = "as of 100 points";
$locale['PDWA311'] = "";
$locale['PDWA312'] = "";
$locale['PDWA313'] = "";
$locale['PDWA314'] = "";
$locale['PDWA315'] = "";
$locale['PDWA316'] = "";
$locale['PDWA317'] = "";
$locale['PDWA318'] = "";
$locale['PDWA319'] = "User locked out";
$locale['PDWA320'] = "Points distribution";
$locale['PDWA321'] = "points";
$locale['PDWA322'] = "duration";
$locale['PDWA323'] = "Reason";
$locale['PDWA324'] = "days";
$locale['PDWA325'] = "<b>Important</b><br />
Each moderator may increase or reduce the number of points given by his own judgement, in order to handle i.e. sequential violations more effective.";
$locale['PDWA326'] = "General";
$locale['PDWA327'] = "Appeal";
$locale['PDWA328'] = "If you do not agree and dont want to accept an admonishment, you may appeal against the admonishment. Another moderator will then take over the case.";

//warning.php
$locale['PDWA400'] = "Error";
$locale['PDWA401'] = "An error occured during the registration of a new warning.";
$locale['PDWA402'] = "Edit warning";
$locale['PDWA403'] = "Change";
$locale['PDWA404'] = "Register warning";
$locale['PDWA405'] = "Add";
$locale['PDWA406'] = "<b>Reason:</b>";
$locale['PDWA407'] = "<b>Explanation:</b><br /><small>Input mandatory! Fill form meaningful please!</small>";
$locale['PDWA408'] = "<b>Points:</b>";
$locale['PDWA409'] = "<small>(Leave empty for standard points)</small>";
$locale['PDWA410'] = "Admonishments";
$locale['PDWA411'] = "edit";
$locale['PDWA412'] = "delete";
$locale['PDWA413'] = "Point";
$locale['PDWA414'] = "Points";
$locale['PDWA415'] = "Valid until";
$locale['PDWA416'] = "d.m.Y"; //date format
$locale['PDWA417'] = "Total:";
$locale['PDWA418'] = "Admonishments";
$locale['PDWA419'] = "No warnings registered for this user.";
$locale['PDWA420'] = "Archive - Expired admonishments";
$locale['PDWA421'] = "Expired on";
$locale['PDWA422'] = "";
$locale['PDWA423'] = "";

// admin.php
$locale['PDWA500'] = "Administration - System of Admonishment";
$locale['PDWA501'] = "Reason of warnin gs";
$locale['PDWA502'] = "Preferences";
$locale['PDWA503'] = "Statistic";
$locale['PDWA504'] = "Clean up";

// 1.php
$locale['PDWA510'] = "Create reason for warning";
$locale['PDWA511'] = "Edit reason of warning";
$locale['PDWA512'] = "<b>Reason:</b>";
$locale['PDWA513'] = "<b>Duration:</b>";
$locale['PDWA514'] = "<b>Points:</b>";
$locale['PDWA515'] = " <b>days</b> <i>(afterwards the warning will be cleared)</i>";
$locale['PDWA516'] = "Add";
$locale['PDWA517'] = "Edit/change";
$locale['PDWA518'] = "Reason for warnings";
$locale['PDWA519'] = "<b>Reason</b>";
$locale['PDWA520'] = "<b>Points</b>";
$locale['PDWA521'] = "<b>Duration</b>";
$locale['PDWA522'] = "<b>Option</b>";
$locale['PDWA523'] = "edit";
$locale['PDWA524'] = "delete";

// 2.php
$locale['PDWA530'] = "Preferences";
$locale['PDWA531'] = "<b>Which group may pronounce admonishments?</b><br />Members of which usergroup may initiate warnings?";
$locale['PDWA532'] = "<b>Send PM to cautioned user?</b><br />Do you want to send a PM to the cautioned user?";
$locale['PDWA533'] = "Yes";
$locale['PDWA534'] = "No";
$locale['PDWA535'] = "<b>Originator of the PM</b><br />Who shall be the originator of the private message?";
$locale['PDWA536'] = "- the actual admonisher -";
$locale['PDWA537'] = "<b>Reference message</b><br />Who shall receive the reference message if the user has reached the warning-limit?";
$locale['PDWA538'] = "Save";
$locale['PDWA539'] = "- Select please -";

// 3.php
$locale['PDWA540'] = "Statistic";
$locale['PDWA541'] = "<b>Number of warnings</b>";
$locale['PDWA542'] = "Total:";
$locale['PDWA543'] = "<b>Reasons</b>";
$locale['PDWA544'] = "Admonishment Log";
$locale['PDWA545'] = "<b>Member</b>";
$locale['PDWA546'] = "<b>Reason / Post</b>";
$locale['PDWA547'] = "<b>Points</b>";
$locale['PDWA548'] = "<b>Moderator</b>";
$locale['PDWA549'] = "<b>Date</b>";
$locale['PDWA549_date'] = "d.m.Y";

//4.php
$locale['PDWA550'] = "Clean-up";
$locale['PDWA551'] = "<b>Delete ...</b>";
$locale['PDWA552'] = "expired admonishments older than 2 years.";
$locale['PDWA553'] = "expired admonishments older than 1 year.";
$locale['PDWA554'] = "all expired admonishments.";
$locale['PDWA555'] = "all admonishments.";
$locale['PDWA556'] = "all admonishments, restart counter (TRUNCATE).";
$locale['PDWA557'] = "all warning reasons, restart counter (TRUNCATE).";
$locale['PDWA558'] = "<b>I acknowledge the deletion and I am conscious of the consequences.</b>";
$locale['PDWA559'] = "Delete!!!";

?>