<?php
/***************************************************************************
	pd Warning

	Copyright (C) 2007 pirdani (Daniel Zschintzsch)
	kontakt@pirdani.de
	http://www.pirdani.de

        Anpassung an V7
        Copyright (C) 2008
        Dirk Heise (emblinux)
        webmaster@heiseclan.de
        http://www.heiseclan.de

	PHP-Fusion
	Copyright  2002 - 2007 Nick Jones
	http://www.php-fusion.co.uk/

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.
***************************************************************************/

// load locale
if (file_exists(INFUSIONS."pd_warning/locale/".LOCALESET."index.php"))
  {
    include INFUSIONS."pd_warning/locale/".LOCALESET."index.php";
  }
else
  {
    include INFUSIONS."pd_warning/locale/English/index.php";
  }

include INFUSIONS."pd_warning/infusion_db.php";

// load global settings
$sql_pd_warning_settings = dbquery("SELECT * FROM ".DB_PDWARNING_SETTINGS);
$pd_warning_settings = dbarray($sql_pd_warning_settings);

// settings
$pm_to_user = $pd_warning_settings['set_send_pm']; 
if($pd_warning_settings['set_usergroup']==0) { echo $locale['PDWA221']; } else { $right_group = $pd_warning_settings['set_usergroup']; }

// javascript for popup
echo '<script language="javascript" type="text/javascript">
			<!--
			var win=null;
			
			function h1171915583(){
				myleft=20;
				mytop=20;
				settings="width=500,height=400,top=" + mytop + ",left=" + myleft + ",scrollbars=yes,location=no,directories=no,status=no,menubar=no,toolbar=no,resizable=no,dependent=no";
				win=window.open("'.INFUSIONS.'pd_warning/info.php","Info",settings);
				win.focus();
			}
			onerror = stopError;
			function stopError(){
				return true;
			}
			// -->
			</script>';

/* warningadmin.php */
function GetWarnCatalogByID($warnid)
{
	return dbquery("SELECT * FROM ".DB_PDWARNING_CATALOG." WHERE warn_id='".$warnid."'");
}

function DeleteWarnCatalog($warnid)
{
	$sql = dbquery("DELETE FROM ".DB_PDWARNING_CATALOG." WHERE warn_id='".$warnid."'");
}

function EditWarnCatalog($warnid, $subject, $points, $length)
{
	$sql = dbquery("UPDATE ".DB_PDWARNING_CATALOG." SET
							warn_subject='".$subject."', 
							warn_point='".$points."', 
							warn_length='".$length."' 
							WHERE warn_id='".$warnid."'");
}

function AddWarnCatalog($subject, $points, $length)
{
	$sql = dbquery("INSERT INTO ".DB_PDWARNING_CATALOG." (`warn_id`, `warn_subject`, `warn_point`, `warn_length`)
									VALUES ('', '".$subject."', '".$points."', '".$length."');");
}

/* warning.php */
function getWarningSQLbyID($warnid)
{
	return dbquery("SELECT * FROM ".DB_PDWARNING." WHERE warn_id='".$warnid."'");
}

function getWarningSQL($where) 
{
	return dbquery("SELECT * FROM ".DB_PDWARNING." WHERE ".$where."");
}

function delete_warning($warnid)
{
	$sql = dbquery("DELETE FROM ".DB_PDWARNING." WHERE warn_id='".$warnid."'");
}

function editWarning($warnid, $subject, $message, $points)
{
	$sql = dbquery("UPDATE ".DB_PDWARNING." SET warn_subject='".$subject."', warn_message='".$message."', warn_point='".$points."' WHERE warn_id='".$warnid."'");
}

function new_warning_post($post, $subject, $message, $points)
{
  global $userdata, $settings, $pd_warning_settings, $locale;
  $new_warning_sql = dbquery("SELECT * FROM ".DB_PREFIX."posts WHERE post_id='".$post."'");
  if (dbrows($new_warning_sql)!=0)
    {
      $post_warn_data = dbarray($new_warning_sql);
      $insertdate = date("U");
      $sql = dbquery("INSERT INTO ".DB_PDWARNING." ( `warn_id` , `user_id` , `post_id` , `thread_id` , `forum_id`, `warn_subject` , `warn_message` , `warn_point` , `warn_admin` , `warn_datestamp` )
					    VALUES ('', '".$post_warn_data['post_author']."', '".$post."', '".$post_warn_data['thread_id']."', '".$post_warn_data['forum_id']."', '".$subject."', '".$message."', '".$points."', '".$userdata['user_id']."', '".$insertdate."');");
      if ($pd_warning_settings['set_send_pm']==1)
	{
	  $pn_subject = stripinput(trim($locale['PDWA210']));
  	  $pn_messages = stripinput(trim($locale['PDWA211']." [url=".$settings['siteurl']."forum/viewthread.php?thread_id=".$post_warn_data['thread_id']."&pid=".$post_warn_data['post_id']."#post_".$post_warn_data['post_id']."]".GetPostTitle($post_warn_data['post_id'])."[/url]
							".$locale['PDWA212']." ".warning_subject($subject)."
							".$locale['PDWA213']." ".$message."
							".$locale['PDWA214'].date($locale['PDWA215'], warning_length($subject, $insertdate)).$locale['PDWA216']));
	  if($pd_warning_settings['set_pm_from']==0) { $pn_from = $userdata['user_id']; } else { $pn_from = $userdata['set_pm_from']; }
	  $result = dbquery("INSERT INTO ".DB_PREFIX."messages (message_to, message_from, message_subject, message_message, message_smileys, message_read, message_datestamp, message_folder) 
	                                                VALUES ('".$post_warn_data['post_author']."','".$pn_from."','".$pn_subject."','".$pn_messages."','y','0','".$insertdate."','0')");
	}
      if (show_warning_points($post_warn_data['post_author'])>=100)
	{
	  $pn_subject = stripinput(trim($locale['PDWA217']));
  	  $pn_messages = stripinput(trim("[url=".$settings['siteurl']."infusions/pd_warning/warning.php?lookup=".$post_warn_data['post_author']."]".$locale['PDWA218']."[/url]"));
	  if($pd_warning_settings['set_pm_from']==0) { $pn_from = $userdata['user_id']; } else { $pn_from = $userdata['set_pm_from']; }
 	  $result = dbquery("INSERT INTO ".DB_PREFIX."messages (message_to, message_from, message_subject, message_message, message_smileys, message_read, message_datestamp, message_folder) 
	                                                VALUES ('".$pd_warning_settings['set_pm_to']."','".$pn_from."','".$pn_subject."','".$pn_messages."','y','0','".$insertdate."','0')");
	}
      return TRUE;
    }
  else
    {
      return FALSE;
    }
}

function warning_forum_link($postid)
{
	global $locale;
	$sql_warning_post = dbquery("SELECT p.forum_id as forum_id, p.post_id as post_id, p.thread_id as thread_id, t.thread_subject as subject FROM ".DB_PREFIX."posts AS p
	                             LEFT JOIN ".DB_PREFIX."threads AS t ON t.thread_id=p.thread_id WHERE post_id='".$postid."'");
	if(dbrows($sql_warning_post)==1)
	{
		$data_warning_post = dbarray($sql_warning_post);
		return "<a href='".FORUM."viewthread.php?thread_id=".$data_warning_post['thread_id']."&amp;pid=".$data_warning_post['post_id']."#post_".$data_warning_post['post_id']."'>".$locale['PDWA219']." ".$data_warning_post['subject']."</a>";
	}
	else
	{
		return $locale['PDWA220'];
	}
}

function GetPostTitle($postid)
{
  $rValue = FALSE;
	$sql_warning_post = dbquery("SELECT * FROM ".DB_PREFIX."threads WHERE thread_id='".$postid."'");
	if(dbrows($sql_warning_post)==1)
	{
		$data_warning_post = dbarray($sql_warning_post);
		$rValue = $data_warning_post['thread_subject'];
	}
	else
	{
	  $rValue = FALSE;
	}
  return $rValue;
}

function warning_user($userid)
{
	$sql_warning_user = dbarray(dbquery("SELECT * FROM ".DB_PREFIX."users WHERE user_id='".$userid."'"));
	return "<a href='".BASEDIR."profile.php?lookup=".$userid."'>".$sql_warning_user['user_name']."</a>";
}

function warning_subject($warn_id)
{
	$sql_warning_subject = dbarray(dbquery("SELECT * FROM ".DB_PDWARNING_CATALOG." WHERE warn_id='".$warn_id."'"));
	return $sql_warning_subject['warn_subject'];
}

function warning_points($warn_id)
{
	$sql_warning_points = dbarray(dbquery("SELECT * FROM ".DB_PDWARNING_CATALOG." WHERE warn_id='".$warn_id."'"));
	return $sql_warning_points['warn_point'];
}

function warning_length($warn_id, $datestamp)
{
	$warning_subject_titel = dbarray(dbquery("SELECT * FROM ".DB_PDWARNING_CATALOG." WHERE warn_id='".$warn_id."'"));
	return $datestamp+($warning_subject_titel['warn_length']*86400);
}

function show_warning_points($user)
{
  $sql = "SELECT * FROM ".DB_PDWARNING." WHERE user_id=".$user."";
  $sql_points = dbquery($sql);
  $points = 0;
  while($pdata = dbarray($sql_points))
  {
    $wcdata = dbarray(dbquery("SELECT * FROM ".DB_PDWARNING_CATALOG." WHERE warn_id='".$pdata['warn_subject']."'"));
    if(($pdata['warn_datestamp']+($wcdata['warn_length']*86400))>date("U"))
    {
      $points = $points + $pdata['warn_point'];
    }
  }
  if($points>100)
  {
    $points=100;
  }
  return $points;
}

function show_warning_symbols($punkte)
{
  if($punkte==0)
  {
    $warning = "<img alt='warning' border='0' src='".INFUSIONS."pd_warning/images/green.gif'><img alt='warning' border='0' src='".INFUSIONS."pd_warning/images/green.gif'><img alt='warning' border='0' src='".INFUSIONS."pd_warning/images/green.gif'><img alt='warning' border='0' src='".INFUSIONS."pd_warning/images/green.gif'>";
  }
  else if ($punkte<=15)
  {
    $warning = "<img alt='warning' border='0' src='".INFUSIONS."pd_warning/images/green.gif'><img alt='warning' border='0' src='".INFUSIONS."pd_warning/images/green.gif'><img alt='warning' border='0' src='".INFUSIONS."pd_warning/images/green.gif'><img alt='warning' border='0' src='".INFUSIONS."pd_warning/images/orange.gif'>";
  }
  else if ($punkte>15 AND $punkte<=30)
  {
    $warning = "<img alt='warning' border='0' src='".INFUSIONS."pd_warning/images/green.gif'><img alt='warning' border='0' src='".INFUSIONS."pd_warning/images/green.gif'><img alt='warning' border='0' src='".INFUSIONS."pd_warning/images/orange.gif'><img alt='warning' border='0' src='".INFUSIONS."pd_warning/images/orange.gif'>";
  }
  else if ($punkte>30 AND $punkte<=45)
  {
    $warning = "<img alt='warning' border='0' src='".INFUSIONS."pd_warning/images/green.gif'><img alt='warning' border='0' src='".INFUSIONS."pd_warning/images/orange.gif'><img alt='warning' border='0' src='".INFUSIONS."pd_warning/images/orange.gif'><img alt='warning' border='0' src='".INFUSIONS."pd_warning/images/orange.gif'>";
  }
  else if ($punkte>45 AND $punkte<=60)
  {
    $warning = "<img alt='warning' border='0' src='".INFUSIONS."pd_warning/images/orange.gif'><img alt='warning' border='0' src='".INFUSIONS."pd_warning/images/orange.gif'><img alt='warning' border='0' src='".INFUSIONS."pd_warning/images/orange.gif'><img alt='warning' border='0' src='".INFUSIONS."pd_warning/images/orange.gif'>";
  }
  else if ($punkte>60 AND $punkte<=75)
  {
    $warning = "<img alt='warning' border='0' src='".INFUSIONS."pd_warning/images/orange.gif'><img alt='warning' border='0' src='".INFUSIONS."pd_warning/images/orange.gif'><img alt='warning' border='0' src='".INFUSIONS."pd_warning/images/orange.gif'><img alt='warning' border='0' src='".INFUSIONS."pd_warning/images/red.gif'>";
  }
  else if ($punkte>75 AND $punkte<=90)
  {
    $warning = "<img alt='warning' border='0' src='".INFUSIONS."pd_warning/images/orange.gif'><img alt='warning' border='0' src='".INFUSIONS."pd_warning/images/orange.gif'><img alt='warning' border='0' src='".INFUSIONS."pd_warning/images/red.gif'><img alt='warning' border='0' src='".INFUSIONS."pd_warning/images/red.gif'>";
  }
  else if ($punkte>90 AND $punkte<100)
  {
    $warning = "<img alt='warning' border='0' src='".INFUSIONS."pd_warning/images/orange.gif'><img alt='warning' border='0' src='".INFUSIONS."pd_warning/images/red.gif'><img alt='warning' border='0' src='".INFUSIONS."pd_warning/images/red.gif'><img alt='warning' border='0' src='".INFUSIONS."pd_warning/images/red.gif'>";
  }
  else if ($punkte>=100)
  {
    $warning = "<img alt='warning' border='0' src='".INFUSIONS."pd_warning/images/red.gif'><img alt='warning' border='0' src='".INFUSIONS."pd_warning/images/red.gif'><img alt='warning' border='0' src='".INFUSIONS."pd_warning/images/red.gif'><img alt='warning' border='0' src='".INFUSIONS."pd_warning/images/red.gif'>";
  }
  return $warning;
}

?>
