<?php
/***************************************************************************
	pd Warning

	Copyright (C) 2007 pirdani (Daniel Zschintzsch)
	kontakt@pirdani.de
	http://www.pirdani.de

        Anpassung an V7
        Copyright (C) 2008
        Dirk Heise (emblinux)
        webmaster@heiseclan.de
        http://www.heiseclan.de

	PHP-Fusion
	Copyright  2002 - 2007 Nick Jones
	http://www.php-fusion.co.uk/

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.
***************************************************************************/

require_once "../../maincore.php";
require_once THEMES."templates/header.php";

if (file_exists(INFUSIONS."pd_warning/locale/".LOCALESET."index.php"))
  {
    include INFUSIONS."pd_warning/locale/".LOCALESET."index.php";
  }
else
  {
    include INFUSIONS."pd_warning/locale/English/index.php";
  }

include_once(INFUSIONS."pd_warning/warning.inc.php");

if (isset( $_GET['postid'] ) )
  {
    $postid = $_GET['postid'];
  }
else if(isset( $_POST['postid'] ) )
  {
    $postid = $_POST['postid'];
  }
else
  {
    $postid = 0;
  }

if (isset( $_GET['warnid'] ) )
  {
    $warnid = $_GET['warnid'];
  }
else if(isset( $_POST['warnid'] ) )
  {
    $warnid = $_POST['warnid'];
  }
else
  {
    $warnid = 0;
  }

if (isset( $_GET['lookup'] ) )
  {
    $lookup = $_GET['lookup'];
  }
else if(isset( $_POST['lookup'] ) )
  {
    $lookup = $_POST['lookup'];  
  }
else
  {
    $lookup = 0;
  }

$warn_post_id = FALSE;
$warn_user_id = 0;

if ($postid)
  {
    if (!is_numeric($postid))
      {	
	redirect(BASEDIR."index.php");
      }
    else
      {
	$sql_warnings_by_postid = dbquery("SELECT * FROM ".$db_prefix."posts WHERE post_id='".$postid."'");
	if(dbrows($sql_warnings_by_postid)!=1) { redirect(BASEDIR."index.php"); }
	$data_warnings_by_postid = dbarray($sql_warnings_by_postid);
	$warn_post_id = $data_warnings_by_postid['post_id'];
	$warn_user_id = $data_warnings_by_postid['post_author'];
      }
  }
else
  {
    if ( $lookup )
      {
	if ( !is_numeric( $lookup ) )
	  {
	    redirect(BASEDIR."index.php");
	  }
	else
	  {
	    $warn_post_id = FALSE;
	    $warn_user_id = $lookup;
	  }
	}
  }

if ( isset($_POST['btnSubmitWarning']) && !empty($_POST['warn_subject']) && !empty($_POST['warn_message']) && checkgroup($right_group) )
  {
    if ( isset($_POST['warnid']) )
      {
	if(!is_numeric($_POST['warnid'])) { redirect(BASEDIR."index.php"); }
	editWarning($_POST['warnid'], $_POST['warn_subject'], $_POST['warn_message'], $_POST['warn_point']);
      }
    else
      {
        if ( isset($_POST['postid']) && $_POST['postid']>0 )
	{
	if ( new_warning_post($_POST['postid'], $_POST['warn_subject'], $_POST['warn_message'], ($_POST['warn_point']=="" ? warning_points($_POST['warn_subject']) : $_POST['warn_point']))==FALSE )
	  {
	   opentable($locale['PDWA400']);
	   echo "<br /><center>".$locale['PDWA401']."</center><br /><br />";
	   closetable();
	  }
	}
      }
  }

if(isset($_GET['opt']) && $_GET['opt']=="delete" && checkgroup($right_group))
{
	if(!is_numeric($_GET['warnid'])) { 
		redirect(BASEDIR."index.php"); 
	} else { 
		delete_warning($_GET['warnid']);
	}
}

if (checkgroup($right_group) AND ( ($warn_post_id!=FALSE) ) OR ( isset($_GET['opt']) && $_GET['opt']=="edit" ) )
  {
    echo "<form action='".INFUSIONS."pd_warning/warning.php' method='POST'>";
    
    echo ($warn_post_id!=FALSE ? "<input type='hidden' name='postid' value='".$warn_post_id."'>" : "<input type='hidden' name='lookup' value='".$warn_user_id."'>")."";

    if ( isset($_GET['opt']) && $_GET['opt']=="edit")
      {
		$editwarndata = dbarray(getWarningSQLbyID($warnid));
		echo "<input type='hidden' name='warnid' value='".$warnid."'>";
		$form_titel = $locale['PDWA402'];
		$form_subject = $editwarndata['warn_subject'];
		$form_message = $editwarndata['warn_message'];
		$form_points = $editwarndata['warn_point'];
		$form_submit = $locale['PDWA403'];
	} else {
		echo "<input type='hidden' name='postid' value='".$warn_post_id."'>";
		$form_titel = $locale['PDWA404'];
		$form_subject = NULL;
		$form_message = NULL;
		$form_points = NULL;
		$form_submit = $locale['PDWA405'];
	}
	
	opentable($form_titel);
		echo "<br>
		<table width='80%' cellpadding='2' cellspacing='0' border='0' align='center'>
			<tr class='tbl2'>
				<td align='left' valign='top' width='140'>".$locale['PDWA406']."</td>
				<td align='left' valign='top'>
					<select name='warn_subject' class='textbox' style='width:100%;'>";
						$warn_catalog = dbquery("SELECT * FROM ".DB_PDWARNING_CATALOG." ORDER BY warn_point, warn_subject");
						while($wcdata = dbarray($warn_catalog)) {
							echo "<option ".($form_subject==$wcdata[warn_id] ? "selected" : "")." value='".$wcdata[warn_id]."'>".$wcdata[warn_subject]." (".$wcdata[warn_point].")</option>";
						}
echo "		  </select>
				</td>
			</tr>
			<tr>
				<td align='left' valign='top' width='140'>".$locale['PDWA407']."</td>
				<td align='left' valign='top'><textarea class='textbox' style='width:100%; height:50px;' name='warn_message'>".$form_message."</textarea></td>
			</tr>
			<tr class='tbl2'>
				<td align='left' valign='top' width='140'>".$locale['PDWA408']."</td>
				<td align='left' valign='top'><input type='text' class='textbox' name='warn_point' value='".$form_points."' maxlength='3' size='5'> ".$locale['PDWA409']."</td>
			</tr>
			<tr>
				<td align='left' valign='top' width='140'></td>
				<td align='right' valign='top'><input type='submit' name='btnSubmitWarning' value='".$form_submit."' class='textbox'></td>
			</tr>
		</table>
		</form>
		<br />";
	closetable();
	tablebreak();
}

	
//show valid warnings
$sql_warning_archiv = getWarningSQL("user_id = '".$warn_user_id."' ORDER BY warn_datestamp");
$count_zzz = 0;
$count_verwarn_points = 0;
while ($data_warning_archiv = dbarray($sql_warning_archiv))
     {
	$data_warning_archiv2 = dbarray(dbquery("SELECT * FROM ".DB_PDWARNING_CATALOG." WHERE warn_id='".$data_warning_archiv['warn_subject']."'"));
	if(($data_warning_archiv['warn_datestamp']+($data_warning_archiv2['warn_length']*86400))>date("U"))
	  {
	    if ($count_zzz==0)
	      { 
			opentable($locale['PDWA410']." (".warning_user($warn_user_id).")");
			echo "<table width='80%' cellpadding='2' cellspacing='0' border='0' align='center'>";
	      }
	    echo "<tr>
		   <td colspan='2' align='left' valign='top'>&nbsp;</td>
		  </tr>
		  <tr class='tbl2'>
		   <td align='left' valign='top'>
		    <b>".warning_subject($data_warning_archiv['warn_subject'])."</b>
		   </td>
		   <td align='right' valign='top'>";
		   if(checkgroup($right_group))
		     {
		       echo "
			      <a href='".INFUSIONS."pd_warning/warning.php?".($warn_post_id=="" ? "lookup=".$warn_user_id : "postid=".$warn_post_id)."&amp;warnid=".$data_warning_archiv['warn_id']."&amp;opt=edit'><img src='".INFUSIONS."pd_warning/images/edit.gif' alt='".$locale['PDWA411']."' title='".$locale['PDWA411']."' border='0'></a>
			      <a href='".INFUSIONS."pd_warning/warning.php?".($warn_post_id=="" ? "lookup=".$warn_user_id : "postid=".$warn_post_id)."&amp;warnid=".$data_warning_archiv['warn_id']."&amp;opt=delete'><img src='".INFUSIONS."pd_warning/images/delete.gif' alt='".$locale['PDWA412']."' title='".$locale['PDWA412']."' border='0'></a>";
		     }
            echo " </td>
		  </tr>
		  <tr>
		   <td align='left' valign='top'>
		    <small>";
		    if ( $data_warning_archiv['post_id']>0 )
		       echo warning_forum_link($data_warning_archiv['post_id']);
		    echo "</small><br />
		    ".nl2br($data_warning_archiv['warn_message'])."
		   </td>
		   <td width='170' align='right' valign='top'>
		    <b>".$data_warning_archiv['warn_point']."</b> ".($data_warning_archiv['warn_point']==1 ? $locale['PDWA413'] : $locale['PDWA414'])."<br />
		       ".$locale['PDWA415']." <b>".date("d.m.Y", warning_length($data_warning_archiv['warn_subject'], $data_warning_archiv['warn_datestamp']))."</b><br />
			<i>".date($locale['PDWA416'], $data_warning_archiv['warn_datestamp']).", ".warning_user($data_warning_archiv['warn_admin'])."</i>
		   </td>
		  </tr>";
		$count_zzz++;
		$count_verwarn_points = $count_verwarn_points + $data_warning_archiv['warn_point'];
	  }
      }

if($count_zzz!=0) 
{ 
	echo "	<tr>
						<td colspan='2' align='left' valign='top'>&nbsp;</td>
					</tr>
					<tr>
						<td align='left' valign='top'>&nbsp;</td>
						<td align='center' valign='top' class='tbl2'><b>".$locale['PDWA417']." ".number_format($count_verwarn_points)." ".($count_verwarn_points==1 ? $locale['PDWA413'] : $locale['PDWA414'])."</b></td>
					</tr>
				</table><br />";
	closetable();
}
else
{
	opentable($locale['PDWA418']);
		echo "<br><center>".$locale['PDWA419']."</center><br><br>";
	closetable();
}



//show unvalid warnings
$sql_warning_archiv = getWarningSQL("user_id = '".$warn_user_id."' ORDER BY warn_datestamp");
$count_zzz = 0;
while($data_warning_archiv = dbarray($sql_warning_archiv))
{
	$data_warning_archiv2 = dbarray(dbquery("SELECT * FROM ".DB_PDWARNING_CATALOG." WHERE warn_id='".$data_warning_archiv['warn_subject']."'"));
	if(($data_warning_archiv['warn_datestamp']+($data_warning_archiv2['warn_length']*86400))<=date("U"))
	{
		if($count_zzz==0)
		{ 
			tablebreak();
			opentable($locale['PDWA420']);
			echo "<table width='80%' cellpadding='2' cellspacing='0' border='0' align='center'>";
		}

		echo "<tr>
						<td colspan='2' align='left' valign='top'>&nbsp;</td>
					</tr>
					<tr class='tbl2'>
						<td align='left' valign='top'><b>".warning_subject($data_warning_archiv['warn_subject'])."</b></td>
						<td align='right' valign='top'></td>
					</tr>
					<tr>
						<td align='left' valign='top'>
						<small>".warning_forum_link($data_warning_archiv['post_id'])."</small><br />
						".nl2br($data_warning_archiv['warn_message'])."
						</td>
						<td width='170' align='right' valign='top'>
							<b>".$data_warning_archiv['warn_point']."</b> ".($data_warning_archiv['warn_point']==1 ? $locale['PDWA413'] : $locale['PDWA414'])."<br />
							".$locale['PDWA421']." ".date("d.m.Y", warning_length($data_warning_archiv['warn_subject'], $data_warning_archiv['warn_datestamp']))."<br />
							<i>".date($locale['PDWA416'], $data_warning_archiv['warn_datestamp']).", ".warning_user($data_warning_archiv['warn_admin'])."</i>
						</td>
					</tr>";
		$count_zzz++;
	}
}
if($count_zzz!=0) 
{ 
	echo "</table><br />";
	closetable();
}

require_once THEMES."templates/footer.php";

?>
